Subject: bug#48628: tags-search fails to find all occurences and finds one that it shouldn't

From: "Bob Floyd" <[email-masked]>
Date: Sun, 6 Jun 2021 11:05:41 -0700

Super! Do you have a URL explaining how to download and compile the master
branch for Windows?

-----Original Message-----
From: Eli Zaretskii [mailto:[email-masked]] 
Sent: Sunday, June 6, 2021 5:32 AM
To: [email-masked]
Cc: [email-masked]
Subject: Re: bug#48628: tags-search fails to find all occurences and finds
one that it shouldn't

> Date: Sun, 06 Jun 2021 14:01:34 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > From: "Bob Floyd" <[email-masked]>
> > Date: Mon, 24 May 2021 09:02:54 -0700
> > 
> > 11. M-, (fileloop-continue) until reaching "All files processed"
> > 
> >    The matches are on lines:
> > 
> >    7, 25, 85, 102, 115, 121
> > 
> >    NOTE 115 is wrong, it is this line that does not contain "_cu"
> 
> With today's master branch, I'm unable to reproduce the problem: I
> don't get the false match on line 115.

However, I did spot a problem in these commands: a new tags-search
will not always start searching in each buffer from the beginning,
sometimes it will restart from the last place point was displayed for
this buffer.  So I fixed that problem on the master branch now.